%global ninja 1
#global bootstrap 1

Summary: KDE Frameworks 5 Tier 1 addon with advanced configuration system
Name:    kf5-kconfig
Version: 5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release: 2%{?dist}
License: GPLv2+ and LGPLv2+ and MIT
URL:     https://invent.kde.org/frameworks/kconfig
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/kconfig-%{version}.tar.xz
%if 0%{?ninja}
BuildRequires:  ninja-build
%endif

BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-rpm-macros >= %{majmin}
BuildRequires:  cmake(Qt5DBus), cmake(Qt5Gui), cmake(Qt5LinguistTools), cmake(Qt5Qml), cmake(Qt5Xml)

Requires:       kf5-filesystem >= %{majmin}
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{name}-gui = %{version}-%{release}

%description
KDE Frameworks 5 Tier 1 addon with advanced configuration system made of two
parts: KConfigCore and KConfigGui.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig(Qt5Xml)

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        core
Summary:        Non-GUI part of KConfig framework
%if ! 0%{?bootstrap:1}
Requires:       kde-settings
%endif

%description    core
KConfigCore provides access to the configuration files themselves. It features
centralized definition and lock-down (kiosk) support.

%package        gui
Summary:        GUI part of KConfig framework
Requires:       %{name}-core = %{version}-%{release}

%description    gui
KConfigGui provides a way to hook widgets to the configuration so that they are
automatically initialized from the configuration and automatically propagate
their changes to their respective configuration files.


%prep
%autosetup -n kconfig-%{version} -p1


%build

%cmake_kf5 \
  -DBUILD_QCH:BOOL=OFF \
  -G Ninja \
  -DBUILD_TESTING:BOOL=ON

%cmake_build || \
cat %{__cmake_builddir}/autotests/kconfig_compiler/test5.cpp


%install
%cmake_install

%find_lang_kf5 kconfig5_qt


%check


%files
%license LICENSES/*.txt
%doc DESIGN README.md TODO

%files core -f kconfig5_qt.lang
%{_kf5_bindir}/kreadconfig5
%{_kf5_bindir}/kwriteconfig5
%{_kf5_libdir}/libKF5ConfigCore.so.5*
%{_kf5_libdir}/libKF5ConfigQml.so.5*
%{_kf5_libexecdir}/kconfig_compiler_kf5
%{_kf5_libexecdir}/kconf_update
%{_kf5_datadir}/qlogging-categories5/kconfig*

%files gui
%{_kf5_libdir}/libKF5ConfigGui.so.*

%files devel
%{_kf5_libdir}/libKF5ConfigCore.so
%{_kf5_libdir}/libKF5ConfigGui.so
%{_kf5_libdir}/libKF5ConfigQml.so
%{_kf5_libdir}/cmake/KF5Config/
%{_kf5_includedir}/KConfig/
%{_kf5_includedir}/KConfigCore/
%{_kf5_includedir}/KConfigGui/
%{_kf5_includedir}/KConfigQml/
%{_kf5_archdatadir}/mkspecs/modules/qt_KConfigCore.pri
%{_kf5_archdatadir}/mkspecs/modules/qt_KConfigGui.pri


%changelog
* Sat Nov 11 2023 Zhao Zhen <jeremiazhao@tencent.com> - 5.110.0-2
- closed bootstrap

* Sat Nov 11 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init